/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Lcd.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Empty template to be used for all .h files. This file provides an example for the case in which a
 *                detailed description is not needed.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef LCD_H
#define LCD_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Std_Types.h"
#include "stm32f407xx.h"
#include "Lcd_Cfg.h"
#include "Dio.h"
#include "Delay.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern void Lcd_gv_Init();
extern void Lcd_gv_Send4BitCmd(uint8 Command);
extern void Lcd_gv_SendCmd(uint8 Command);
extern void Lcd_gv_Send4BitData(uint8 Data);
extern void Lcd_gv_SendData(uint8 Data);
extern void Lcd_gv_CreateCustomCharacter(void);
extern void Lcd_gv_PutCustomCharacter(uint8 uc_Row, uint8 uc_Position,uint8 uc_Index);
extern void Lcd_gv_Clear();
extern void Lcd_gv_Cursor();
extern void Lcd_gv_DisableCursor();
extern void Lcd_gv_SendString(uint8 *String);
extern void Lcd_gv_SendStringXY(uint8 Row,uint8 Position,uint8 *String);
/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* LCD_H */
